## axel 1.0a

=== Makefile ===
###########################
##   Makefile for Axel   ##
##                       ##
## Copyright 2001 Lintux ##
###########################


### DEFINITIONS

include Makefile.settings

.SUFFIXES: .po .mo

# Add your translation here..
MOFILES = nl.mo de.mo


all: $(OUTFILE)
install: install-bin install-etc install-man
uninstall: uninstall-bin uninstall-etc uninstall-man

ifdef I18N
all: $(MOFILES)
install: install-i18n
uninstall: uninstall-i18n
endif

clean:
	rm -f *.o $(OUTFILE) search core *.mo

distclean: clean
	rm -f Makefile.settings config.h

install-man:
	mkdir -p $(DESTDIR)$(MANDIR)/man1/
	cp axel.1 $(DESTDIR)$(MANDIR)/man1/axel.1

uninstall-man:
	rm -f $(MANDIR)/man1/axel.1

install-etc:
	mkdir -p $(DESTDIR)$(ETCDIR)/
	cp axelrc.example $(DESTDIR)$(ETCDIR)/axelrc

uninstall-etc:
	rm -f $(ETCDIR)/axelrc

### MAIN PROGRAM

$(OUTFILE): axel.o conf.o conn.o ftp.o http.o search.o tcp.o text.o
	$(CC) axel.o conf.o conn.o ftp.o http.o search.o tcp.o text.o -o $(OUTFILE) $(LFLAGS)
ifndef DEBUG
	-$(STRIP) $(OUTFILE)
endif

.c.o:
	$(CC) -c $*.c -o $*.o -Wall $(CFLAGS)

install-bin:
	mkdir -p $(DESTDIR)$(BINDIR)/
	cp $(OUTFILE) $(DESTDIR)$(BINDIR)/$(OUTFILE)

uninstall-bin:
	rm -f $(BINDIR)/$(OUTFILE)

tar: distclean
	x=`pwd | sed -e 's/\/.*\///'`; \
	cd ..; \
	tar czf $$x.tar.gz $$x


### I18N FILES

%.po:
	-@mv $@ $@.bak
	xgettext -k_ -o$@ *.[ch]
	@if [ -e $@.bak ]; then \
		echo -n Merging files...; \
		msgmerge -vo $@.combo $@.bak $@; \
		rm -f $@ $@.bak; \
		mv $@.combo $@; \
	fi

.po.mo: $@.po
	msgfmt -vo $@ $*.po

install-i18n:
	@echo Installing locale files...
	@for i in $(MOFILES); do \
		mkdir -p $(DESTDIR)$(LOCALE)/`echo $$i | cut -d. -f1`/LC_MESSAGES/; \
		cp $$i $(DESTDIR)$(LOCALE)/`echo $$i | cut -d. -f1`/LC_MESSAGES/axel.mo; \
	done

uninstall-i18n:
	cd $(LOCALE); find . -name axel.mo -exec 'rm' '{}' ';'

## axel 1.0b

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 ### DEFINITIONS
 
-include Makefile.settings
+-include Makefile.settings
 
 .SUFFIXES: .po .mo

=== gui/kapt/Makefile ===
include ../../Makefile.settings

all:

install:
	mkdir -p $(DESTDIR)$(BINDIR)
	install -m 0755 axel-kapt $(DESTDIR)$(BINDIR)
	mkdir -p $(DESTDIR)$(MANDIR)/man1/
	install -m 0644 axel-kapt.1 $(DESTDIR)$(MANDIR)/man1/

## axel 1.0.0-1

=== Makefile ===
###########################
##   Makefile for Axel   ##
##                       ##
## Copyright 2001 Lintux ##
###########################


### DEFINITIONS

-include Makefile.settings

#.SUFFIXES: .po .mo

# Add your translation here..
#MOFILES = nl.mo de.mo ru.mo zh_CN.mo


all: $(OUTFILE)
install: install-bin install-etc
uninstall: uninstall-bin uninstall-etc

#ifdef I18N
#all: $(MOFILES)
#install: install-i18n
#uninstall: uninstall-i18n
#endif

clean:
	rm -f *.o $(OUTFILE) search core *.mo

distclean: clean
	rm -f Makefile.settings config.h axel-*.tar axel-*.tar.gz axel-*.tar.bz2

#install-man:
#	mkdir -p $(DESTDIR)$(MANDIR)/man1/
#	cp axel.1 $(DESTDIR)$(MANDIR)/man1/axel.1
#	mkdir -p $(DESTDIR)$(MANDIR)/zh_CN/man1/
#	cp axel_zh_CN.1 $(DESTDIR)$(MANDIR)/zh_CN/man1/axel.1

#uninstall-man:
#	rm -f $(MANDIR)/man1/axel.1
#	rm -f $(MANDIR)/zh_CN/man1/axel.1

install-etc:
	mkdir -p $(DESTDIR)$(ETCDIR)/
	cp axelrc.example $(DESTDIR)$(ETCDIR)/axelrc

uninstall-etc:
	rm -f $(ETCDIR)/axelrc

### MAIN PROGRAM

$(OUTFILE): axel.o conf.o conn.o ftp.o http.o search.o tcp.o text.o
	$(CC) *.o -o $(OUTFILE) $(LFLAGS)
ifndef DEBUG
	-$(STRIP) $(OUTFILE)
endif

.c.o:
	$(CC) -c $*.c -o $*.o -Wall $(CFLAGS)

install-bin:
	mkdir -p $(DESTDIR)$(BINDIR)/
	cp $(OUTFILE) $(DESTDIR)$(BINDIR)/$(OUTFILE)

uninstall-bin:
	rm -f $(BINDIR)/$(OUTFILE)

tar:
	version=$$(sed -n 's/#define AXEL_VERSION_STRING[ \t]*"\([^"]*\)"/\1/p' < axel.h) && \
	tar --create --transform "s#^#axel-$${version}/#" "--file=axel-$${version}.tar" --exclude-vcs -- *.c *.h *.1 configure Makefile axelrc.example gui API CHANGES COPYING CREDITS README && \
	gzip --best < "axel-$${version}.tar" > "axel-$${version}.tar.gz" && \
	bzip2 --best < "axel-$${version}.tar" > "axel-$${version}.tar.bz2"


### I18N FILES

#%.po:
#	-@mv $@ $@.bak
#	xgettext -k_ -o$@ *.[ch]
#	@if [ -e $@.bak ]; then \
#		echo -n Merging files...; \
#		msgmerge -vo $@.combo $@.bak $@; \
#		rm -f $@ $@.bak; \
#		mv $@.combo $@; \
#	fi

#.po.mo: $@.po
#	msgfmt -vo $@ $*.po
#
#install-i18n:
#	@echo Installing locale files...
#	@for i in $(MOFILES); do \
#		mkdir -p $(DESTDIR)$(LOCALE)/`echo $$i | cut -d. -f1`/LC_MESSAGES/; \
#		cp $$i $(DESTDIR)$(LOCALE)/`echo $$i | cut -d. -f1`/LC_MESSAGES/axel.mo; \
#	done
#
#uninstall-i18n:
#	cd $(LOCALE); find . -name axel.mo -exec 'rm' '{}' ';'

=== debian/changelog ===
axel (1.0.0-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Pedram Veisi <pedramveisi@gmail.com>  Tue,  7 Sep 2010 15:46:46 +0430

=== debian/control ===
Source: axel
Section: user/network
Priority: optional
Maintainer: Pedram Veisi <pedramveisi@gmail.com>
Original-Maintainer: Y Giridhar Appaji Nag <appaji@debian.org>
Build-Depends: debhelper (>= 5), autotools-dev
Standards-Version: 3.7.2

Package: axel
Version: 1.0.0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: light download accelerator - console version
 Axel tries to accelerate the downloading process by using multiple connections
 for one file.  It can also use multiple mirrors for one download.  Axel tries
 to be as light as possible (25-30k in binary form), so it might be useful as a
 wget clone on byte-critical systems.Ported to Maemo by Perdram Veisi.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAAN1wAADdcBQiibeAAAAAd0
 SU1FB9oJBhAfJc1y0e0AAAiiSURBVGje7ZlbjJXVFcd/e3/HU4dMqJBWvCCk
 RgV98c1BvFStSRMxVYkXiA+NGq2xJjYWUArY1JRSC9qkbXysKIqK1Zg6iU3E
 BCcCT2XaNCDGkNZWomALjTPOdM7Za60+7Mu5zTA0Ni0kfMnOdz3fWZf/+q//
 3h+c2k5tp7ZT26ntC2wOYHBw8Juq+qKZzToZjPbeH1HVZTfddNNbNQAR2XLh
 hRfOmjlzJs65E9JoMyv7kZGR2R988MEW4KwaQLPZ/Gq9XufTTz89YY1u38+c
 OZNmszkHoAagqjQaDcbGxqZ8karinCOEQAiBGTNm/E8Mzsft5/V6HVWlx4GJ
 iQkAnnzqqfKjqqrwvio/cM5hZogKtL38ixitqsU4VS2j/Z6q8ti6dZgZExMT
 nQ6ISM+LG02hqipOO62GAb5Wx7kUHTO884gIZobDJTqYzEIwrBynC4gqqoKa
 oRKPRRQVQdKxab4u9PV9qcOZbHPJgHVFs/IV4GiEgMPhnOG9S8RlYA7vPM67
 SXgtG0tP+kUVMyXFAdVkUI68dWZD0mg2myXqOUPHzICrfAcecYZoinaCkvdV
 ygodGehgMqMYpWposlxNEUtRNkU1GW3xf1TjfZE8pDhmZtNnwLvkAIbD47oM
 K4XWcgnn8ojnpooko1QjkMwM03SuIMlgS46qZEhFwzUZ3J4BEekt4m4HnPeY
 Kc4ivi1hNyKo3VDDOR+P2423ZHD6nUE0RvO+VaAoCetWYCSSi1ki7LQzAz0Q
 6qYs7xyaomoWjSwshJGT4Vwu4Gi8w0U/ncMs3tL2yCe4KCkzYohJCzaa7qfn
 RBQJghIKbI6riJ33eG0rTGtBKEOlHe9tfpRMWQJgLlYxLayUjZQMm2x4LtyE
 +1jEgjPpod4OB7qpxDmH8w6zGFNzLbR3F2urNhy5Msxc2ucRHZMUddUW3kUV
 kxbjiITCSiX7xtQOZAi1U2GERg1nWpzoYaoWjmJqE722opyxTws6HYZKocR8
 Hq9ZyXjuMdZFyT0Q6qbyiPWUjdjKckl25CE64TAHzuLzSox4LlxNUMhNKohg
 luARpDQrMy3ZN5eciPnvCd4xMxBEqKkVZimwSgDvdiBnwpxLkaslqQEShBCi
 gSGECA9pdVhT66m/Ukq5ybjepjhpEWevQrOJ1AVfRf6PkNDUkVNmHOQwG1a6
 snc+YdpoNBqMj4/TaDYTFaYunAo4F0ZLvLWkhqULhb7bek9PJ860lAsuhECj
 0aCqPFVVw3mfYl9KFA2aoNB6sXMQkoaZaDQIzUCQULpsHEkq5KB1X+86pu39
 00KoZCAEaEzgnaPyFb6qFc2jotGoVIz5OEsEkRhltYS+ouOs9IIegzV3XC2O
 tRxMTDQdhFoMoBw5cgRX+5wQBO88fX2nU1W1TrGVuNoKDEhOTk61pGLMarY4
 UTRQp+HlmsbnHBy7D4yNjTE+Pg7A6OgoVV1jNzZjYmIcUjZyh7XclNqUdEsL
 +bbu7Do6OGYdkqBnaBeUUr14P00f6MGYCOZcyk4odFlVPjHSJNI5SQnnW0Iw
 FndFh0DNBkziQLzfmw26ZHsPhLrlhIpA0itnz5nD66+/ysCiKxCsQ5W6Ng8s
 yw1JFW0QiNByzheVwSRTRUpd0NXBYwZOozYpC/mptJAknv7WjUt4881Bzj3n
 HN4d2hEzk9WhxiaUO2nrXJDE+SoBDYHQnCCEJhICqiHVXDNek8hWs2bPYmjH
 2/G/8xBBRSedhhYHJoNQbDjC+h8/zr333c/Z585j0eIrMTO2vbSVgcsGkvhK
 sjgxSclmcsQsTR1FUQlImxMqEh1MY+GCi9j//vvxvkgc6T299sk0GUisNDIy
 wpwzzySEZtHnGzc9ycMPP8Qr215kYOCy4khO+dVXXcXQOzv48M8HePnFragq
 v3tzkEsvvZR77rmLDT9Zz+xZs3hp6wv86Y9/4J6770ZEWLhgIfv37y//3T6m
 zUC3A5og8O277ubxH/2QO5cvL1l5d+dObll6Kzt37uK132xri7Rx3bXXcv93
 7uPW2+/gyquv4dChQ5gqW7Y8z8+f3MSNS25g9eof8NMN69kzPMwdy5bz6COr
 UFEuuWQh7733XtRMOQNpTCUljpkBVWV4eJibb1nKmjWry4svHxjgtVdf4YrF
 l3Pz0qWYZWUZeGzdWh5esYKDBw+y+PJF/PaNQQzYMzzMggUX8f0Vq5hoTPCN
 665j+bJlvPzSVtasXYuqcMnFF7Nv375kfDiuDHRooXYnRKTQ4pfPOAPnPSE0
 wTlWrlzBhg1PsHv37jZJHaea8+adR62qOP/8r/G9hx7iqq9fQ71eZ9PGn7Fr
 126uXLyYffv2MjY2xncffJAd7wxx1llnoqpccMEFHPzoI0RC58LWJAte00JI
 JLBm9Wr+efQfPLd5M6tWripz2RuWLGFoaKis0okIkhTn88+/wNvb3+L2225j
 /vx5jI19zhMb1vPss8+xdu067rxzOajxyKOr+dUvf8HHB//G5meeQVV5Y3CQ
 PXt+n6J+7Azkaw7ggQcesOuvvz5qIGDFypV88vEn4Bx//fAvXDawiMOHDqVJ
 u5t0NuZ9njPHLlw5X6R41vm90UxiLmuhLFUyIbR17rnnncemjRsjbGo1tm/f
 ztNPP+1qU9dAABxz587tkAS5Bfs0Cc4zJpGWI845tDjriqgzlKhA4t651JTy
 EqJKWn6xnmZ3zBqYHEJSpoutdZ9W/5WigY53OT7P5nxc4csrGNZaicD0uNdT
 p5xS9vf3AzBv/vwT7htBf38/o6OjvfOBvDptZvT19fHs5s0n7NeZo0ePRoh2
 Qyh/Gzhw4MBJ8W2sHUIO+Pvhw4e/kuFzom8jIyMAh4HIQp999tm9e/fu/bWq
 niwf+Y6OjIzc200hM4B+oA84HagDVWp2/v9kq6YhQAP4FzAOjAJjU3GgS9Cq
 JcPr/wFX/tc/myXDlTg3Cr2fTk7y7d8B+w2sTbRmEQAAAABJRU5ErkJggg==
 ====

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=$(CURDIR)/debian/axel/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info


build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/axel.sgml > axel.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/axel.
	$(MAKE) prefix=$(CURDIR)/debian/axel/usr install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGES
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## axel 1.0.1-1

=== debian/changelog ===
axel (1.0.1-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Pedram Veisi <pedramveisi@gmail.com>  Tue,  7 Sep 2010 22:33:29 +0430

=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: optional
 Maintainer: Pedram Veisi <pedramveisi@gmail.com>
 Original-Maintainer: Y Giridhar Appaji Nag <appaji@debian.org>
+XSBC-Bugtracker: mailto:pedramveisi@gmail.com
 Build-Depends: debhelper (>= 5), autotools-dev
 Standards-Version: 3.7.2

## axel 1.0.5-1

=== Makefile ===
--- 
+++ 
@@ -45,6 +45,12 @@
 	mkdir -p $(DESTDIR)$(ETCDIR)/
 	cp axelrc.example $(DESTDIR)$(ETCDIR)/axelrc
 
+#install-config:
+#	mkdir -p $(DESTDIR)$(HOMEDIR)/
+#	cp axelrc.example $(DESTDIR)$(HOMEDIR)/.axelrc
+
+#uninstall-config:
+#	rm -f $(HOMEDIR)/.axelrc
 uninstall-etc:
 	rm -f $(ETCDIR)/axelrc

=== debian/changelog ===
axel (1.0.5-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Pedram Veisi <pedramveisi@gmail.com>  Wed,  8 Sep 2010 16:58:32 +0430

=== debian/control ===
--- 
+++ 
@@ -8,14 +8,14 @@
 Standards-Version: 3.7.2
 
 Package: axel
-Version: 1.0.0
+Version: 1.0.5
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: light download accelerator - console version
  Axel tries to accelerate the downloading process by using multiple connections
  for one file.  It can also use multiple mirrors for one download.  Axel tries
  to be as light as possible (25-30k in binary form), so it might be useful as a
- wget clone on byte-critical systems.Ported to Maemo by Perdram Veisi.
+ wget clone on byte-critical systems.
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
  6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAAN1wAADdcBQiibeAAAAAd0

=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,7 @@
 config.status: configure
 	dh_testdir
 	# Add here commands to configure the package.
-	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=$(CURDIR)/debian/axel/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info
+	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=$(CURDIR)/debian/axel --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --home=$(CURDIR)/debian/axel/home/user
 
 
 build: build-stamp

## axel 1.0.6-1

=== debian/changelog ===
axel (1.0.6-1) unstable; urgency=low

  Change log fixed.

 -- Pedram Veisi <pedramveisi@gmail.com>  Thu,  9 Sep 2010 05:36:10 +0430

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Standards-Version: 3.7.2
 
 Package: axel
-Version: 1.0.5
+Version: 1.0.6
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: light download accelerator - console version

## axel 1.0.7

=== debian/changelog ===
axel (1.0.7) unstable; urgency=low

  Version number fixed.

 -- Pedram Veisi <pedramveisi@gmail.com>  Fri, 10 Sep 2010 05:48:57 +0430

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Standards-Version: 3.7.2
 
 Package: axel
-Version: 1.0.6
+Version: 1.0.7
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: light download accelerator - console version

## axel 2.3

=== Makefile ===
###########################
##   Makefile for Axel   ##
##                       ##
## Copyright 2001 Lintux ##
###########################


### DEFINITIONS

-include Makefile.settings

.SUFFIXES: .po .mo

# Add your translation here..
MOFILES = nl.mo de.mo ru.mo zh_cn.mo


all: $(OUTFILE)
install: install-bin install-etc install-man
uninstall: uninstall-bin uninstall-etc uninstall-man

ifdef I18N
all: $(MOFILES)
install: install-i18n
uninstall: uninstall-i18n
endif

clean:
	rm -f *.o $(OUTFILE) search core *.mo

distclean: clean
	rm -f Makefile.settings config.h axel-*.tar axel-*.tar.gz axel-*.tar.bz2

install-man:
	mkdir -p $(DESTDIR)$(MANDIR)/man1/
	cp axel.1 $(DESTDIR)$(MANDIR)/man1/axel.1
	mkdir -p $(DESTDIR)$(MANDIR)/zh_CN/man1/
	cp axel_zh_CN.1 $(DESTDIR)$(MANDIR)/zh_CN/man1/axel.1

uninstall-man:
	rm -f $(MANDIR)/man1/axel.1
	rm -f $(MANDIR)/zh_CN/man1/axel.1

install-etc:
	mkdir -p $(DESTDIR)$(ETCDIR)/
	cp axelrc.example $(DESTDIR)$(ETCDIR)/axelrc

uninstall-etc:
	rm -f $(ETCDIR)/axelrc

### MAIN PROGRAM

$(OUTFILE): axel.o conf.o conn.o ftp.o http.o search.o tcp.o text.o
	$(CC) *.o -o $(OUTFILE) $(LFLAGS)
ifndef DEBUG
	-$(STRIP) $(OUTFILE)
endif

.c.o:
	$(CC) -c $*.c -o $*.o -Wall $(CFLAGS)

install-bin:
	mkdir -p $(DESTDIR)$(BINDIR)/
	cp $(OUTFILE) $(DESTDIR)$(BINDIR)/$(OUTFILE)

uninstall-bin:
	rm -f $(BINDIR)/$(OUTFILE)

tar:
	version=$$(sed -n 's/#define AXEL_VERSION_STRING[ \t]*"\([^"]*\)"/\1/p' < axel.h) && \
	tar --create --transform "s#^#axel-$${version}/#" "--file=axel-$${version}.tar" --exclude-vcs -- *.c *.h *.po *.1 configure Makefile axelrc.example axel.spec gui API CHANGES COPYING CREDITS README && \
	gzip --best < "axel-$${version}.tar" > "axel-$${version}.tar.gz" && \
	bzip2 --best < "axel-$${version}.tar" > "axel-$${version}.tar.bz2"


### I18N FILES

%.po:
	-@mv $@ $@.bak
	xgettext -k_ -o$@ *.[ch]
	@if [ -e $@.bak ]; then \
		echo -n Merging files...; \
		msgmerge -vo $@.combo $@.bak $@; \
		rm -f $@ $@.bak; \
		mv $@.combo $@; \
	fi

.po.mo: $@.po
	msgfmt -vo $@ $*.po

install-i18n:
	@echo Installing locale files...
	@for i in $(MOFILES); do \
		mkdir -p $(DESTDIR)$(LOCALE)/`echo $$i | cut -d. -f1`/LC_MESSAGES/; \
		cp $$i $(DESTDIR)$(LOCALE)/`echo $$i | cut -d. -f1`/LC_MESSAGES/axel.mo; \
	done

uninstall-i18n:
	cd $(LOCALE); find . -name axel.mo -exec 'rm' '{}' ';'

## axel 2.4

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 .SUFFIXES: .po .mo
 
 # Add your translation here..
-MOFILES = nl.mo de.mo ru.mo zh_cn.mo
+MOFILES = nl.mo de.mo ru.mo zh_CN.mo
 
 
 all: $(OUTFILE)
@@ -68,7 +68,7 @@
 
 tar:
 	version=$$(sed -n 's/#define AXEL_VERSION_STRING[ \t]*"\([^"]*\)"/\1/p' < axel.h) && \
-	tar --create --transform "s#^#axel-$${version}/#" "--file=axel-$${version}.tar" --exclude-vcs -- *.c *.h *.po *.1 configure Makefile axelrc.example axel.spec gui API CHANGES COPYING CREDITS README && \
+	tar --create --transform "s#^#axel-$${version}/#" "--file=axel-$${version}.tar" --exclude-vcs -- *.c *.h *.po *.1 configure Makefile axelrc.example gui API CHANGES COPYING CREDITS README && \
 	gzip --best < "axel-$${version}.tar" > "axel-$${version}.tar.gz" && \
 	bzip2 --best < "axel-$${version}.tar" > "axel-$${version}.tar.bz2"

=== gui/kapt/Makefile ===
--- 
+++ 
@@ -7,3 +7,5 @@
 	install -m 0755 axel-kapt $(DESTDIR)$(BINDIR)
 	mkdir -p $(DESTDIR)$(MANDIR)/man1/
 	install -m 0644 axel-kapt.1 $(DESTDIR)$(MANDIR)/man1/
+	mkdir -p $(DESTDIR)$(SHAREDIR)/applications/
+	install -m 0644 axel-kapt.desktop $(DESTDIR)$(SHAREDIR)/applications/

=== debian/changelog ===
axel (2.4-2) unstable; urgency=medium

  * New maintainer.
  * Reintroduce to Debian archive. (Closes: #794421)
  * Migrated DH level to 9.
  * Acknowledgements (thanks to Osamu Aoki <osamu@debian.org>):
      - Add hardening with dh v9. (Closes: #645271)
      - Include unreleased upstream fixes. (Closes: #533103)
      - Fix FTBFS for GNU/Hurd. (Closes: #532793)
      - Add ja.po and unfuzzy translations. (Closes: #663286)
      - Support IPv6. (Closes: #525290)
  * debian/axel.docs: renamed to docs.
  * debian/axel.examples renamed to examples.
  * debian/axel.install: removed because now we have one binary only and the
      debian/rules was reorganized.
  * debian/clean: added to remove the ja.po file, created by a patch.
  * debian/control:
      - Bumped Standards-Version to 3.9.6.
      - Improved the short and long descriptions.
      - Removed the axel-kapt binary. It depends of the kaptain, no longer
        available in Debian. For details, see #789819 (kaptain) and #791563
        (axel-kapt). This action solves #791563.
      - Removed axel-dbg (not useful).
      - Updated the Vcs-* fields. Using Git now.
  * debian/copyright: reorganized and updated.
  * debian/README.Debian: added to explain about axel-kapt.
  * debian/source/lintian-overrides: removed. The problem was solved.
  * debian/source/options: created to ignore changes in some 'po' files.
  * debian/rules:
      - Added the DEB_BUILD_MAINT_OPTIONS variable to improve the GCC hardening.
      - Removed some trash and useless lines.
      - Removed the override_dh_auto_install and override_dh_strip targets.
  * debian/watch: improved.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 02 Aug 2015 17:31:05 -0300

axel (2.4-1.1) experimental; urgency=low

  * Non-maintainer upload.
  * Remove dpatch dependency. (E build-depends-on-obsolete-package)
  * Add hardening with dh v9. Closes: #645271
  * Include unreleased upstream fixes. Closes: #533103
  * Fix FTBFS for GNU/Hurd. Closes: #532793
  * Add ja.po and unfuzzy translations. Closes: #663286
  * Support IPv6. Closes: #525290
  * Support copyright-format 1.0 and update policy to 3.9.3. 

 -- Osamu Aoki <osamu@debian.org>  Sun, 11 Mar 2012 01:27:37 +0900

axel (2.4-1) unstable; urgency=low

  * New upstream release 2.4
   + Fixes a thread hang and an array overflow
   + Work-around for kaptain CPU/Mem overuse (Closes: #378546)
   + Refresh all patches for new upstream release
  * Update Standards-Version to 3.8.1 (no changes required) 
  * Change axel-dbg section to debug
  * Remove call to dh_desktop, not necessary and is a no-op now
  * Remove hand-crafted handling of DEB_BUILD_OPTIONS (the build system
    handles it on its own)

 -- Y Giridhar Appaji Nag <appaji@debian.org>  Wed, 29 Apr 2009 14:51:22 +0530

axel (2.3-1) unstable; urgency=low

  * New upstream release 2.3
    + Remove patches 03_incorrect_version and 04_MBps_display integrated
      upstream
    + Refresh patch 01_bug_report to include change to zh_cn.po
  * New dpatch 03_manpage_err to remove erroneous comments at the
    beginning of zh_CN axel manpage
  * Clarify README.source a bit Update Maintainer to official Debian ID
  * Remove DM-Upload-Allowed: yes

 -- Y Giridhar Appaji Nag <appaji@debian.org>  Wed, 14 Jan 2009 15:05:18 +0530

axel (2.0-1) unstable; urgency=low

  * New upstream release 2.0
    + Large file support (Closes: #350012)
    + Remove patch 03_l10n_ru, integrated upstream
  * New patches
    + 03_incorrect_version to fix version (2.0 from 1.1)
    + 04_MBps_display to show MB/s display correctly in alternate
      progress view
  * Update Standards-Version to 3.8.0
    + Add a README.source file (with a pointer) for dpatch

 -- Y Giridhar Appaji Nag <giridhar@appaji.net>  Fri, 19 Sep 2008 19:51:51 +0530

axel (1.1-3) unstable; urgency=low

  * Update 02_axelkapt to change Categories=Utility;Network;KDE; to
    Categories=Network;FileTransfer;KDE; in axel-kapt desktop file.
  * Description synopsis improved, per dev-ref (v3.3.9) Section 6.2.2
  * Patch 03_l10n_ru to add Russian translation.   Translation thanks to
    newhren <colimit@gmail.com>
  * Add DM-Upload-Allowed: yes

 -- Y Giridhar Appaji Nag <giridhar@appaji.net>  Fri, 09 May 2008 22:37:50 +0530

axel (1.1-2) unstable; urgency=low

  * Create a axel-dbg package with axel's debugging symbols in it.  Axel
    tends to crash sometimes and this would be useful.
  * Update 08_axelkapt as 02_axelkapt to add a MimeType filed to the desktop
    file and really install it.
  * Patch 01_bug_report to set the bug reporting location to Debian.

 -- Y Giridhar Appaji Nag <giridhar@appaji.net>  Tue, 29 Jan 2008 21:01:45 +0530

axel (1.1-1) unstable; urgency=low

  * New upstream release 1.1.
  * Add a version 3 debian/watch file
  * Remove all dpatches except 08_axelkapt, they've been merged upstream.
    Modified 08_axelkapt for new upstream release.
  * debian/{control,copyright}: Indicate new upstream homepage and maintainer.

 -- Y Giridhar Appaji Nag <giridhar@appaji.net>  Fri, 18 Jan 2008 15:57:24 +0530

axel (1.0b-7) unstable; urgency=low

  * Remove unnecessary debian/*.dirs files.
  * Patch 09_potrans: Updates de.po, thanks Hermann J. Beckers
    <hj.beckers@onlinehome.de>
  * Patch 10_manpage: fix lintian I: hyphen-used-as-minus-sign
  * /usr/doc transition is too old, removed maint scripts

 -- Y Giridhar Appaji Nag <giridhar@appaji.net>  Wed, 26 Dec 2007 11:19:32 +0530

axel (1.0b-6) unstable; urgency=low

  * Update 08_axelkapt to use simple pop-ups for the Help and Bug Report
    buttons.
  * Use && instead of -a for tests in maint scripts.  Fixes lintian
    informational message I:possible-non-posix-code-in-maintainer-script
  * Remove empty maint script axel-kapt.postrm, thanks Mario Iseli.

 -- Y Giridhar Appaji Nag <giridhar@appaji.net>  Mon, 10 Dec 2007 12:50:02 +0530

axel (1.0b-5) unstable; urgency=low

  * Use debhelper for packaging (Closes: #454233)


=== debian/control ===
Source: axel
Section: web
Priority: optional
Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 9), gettext
Homepage: http://axel.alioth.debian.org
Vcs-Git: git://anonscm.debian.org/collab-maint/axel.git
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/axel.git

Package: axel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: light command line download accelerator
 Axel tries to accelerate the downloading process by using multiple
 connections for one file, similar to DownThemAll and other famous
 programs. It can also use multiple mirrors for one download.
 .
 Using Axel, you will get files faster from Internet. So, Axel can
 speed up a download up to 60% (approximately, accoding to some tests).
 .
 Axel tries to be as light as possible, so it might be useful as a
 wget clone (and other console based programs) on byte-critical systems.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

# This ./configure creates Makefile.settings
override_dh_auto_configure:
	./configure --i18n=1 --debug=0 --prefix=/usr --etcdir=/etc --strip=0

=== debian/watch ===
version=3
https://alioth.debian.org/frs/?group_id=100070 /frs/download.php/.*/axel-(\d\S+)\.tar\.(?:bz2|gz|xz)

## axel 2.5

=== Makefile ===
###########################
##   Makefile for Axel   ##
##                       ##
## Copyright 2001 Lintux ##
###########################

### DEFINITIONS

-include Makefile.settings

.SUFFIXES: .po .mo

# Add your translation here
MOFILES = nl.mo de.mo ru.mo zh_CN.mo ja.mo


all: $(OUTFILE)
install: install-bin install-etc install-man
uninstall: uninstall-bin uninstall-etc uninstall-man

clean:
	rm -f *.o $(OUTFILE) search core *.mo

distclean: clean
	rm -f Makefile.settings config.h axel-*.tar axel-*.tar.gz axel-*.tar.bz2

install-man:
	mkdir -p $(DESTDIR)$(MANDIR)/man1/
	cp man/axel.1 $(DESTDIR)$(MANDIR)/man1/axel.1

uninstall-man:
	rm -f $(MANDIR)/man1/axel.1

install-etc:
	mkdir -p $(DESTDIR)$(ETCDIR)/
	cp axelrc.example $(DESTDIR)$(ETCDIR)/axelrc

uninstall-etc:
	rm -f $(ETCDIR)/axelrc

### MAIN PROGRAM

$(OUTFILE): axel.o conf.o conn.o ftp.o http.o search.o tcp.o text.o
	$(CC) *.o -o $(OUTFILE) $(LFLAGS) $(LDFLAGS) $(CPPFLAGS)
	$(STRIP) $(OUTFILE)

.c.o:
	$(CC) -c $*.c -o $*.o $(CFLAGS) $(LDFLAGS) $(CPPFLAGS)

install-bin:
	mkdir -p $(DESTDIR)$(BINDIR)/
	cp $(OUTFILE) $(DESTDIR)$(BINDIR)/$(OUTFILE)

uninstall-bin:
	rm -f $(BINDIR)/$(OUTFILE)

tar:
	version=`sed -n 's/#define AXEL_VERSION_STRING[ \t]*"\([^"]*\)"/\1/p' < axel.h` && \
	tar --create --numeric-owner --owner 0 --group 0 --transform "s#^#axel-$${version}/#" "--file=axel-$${version}.tar" --exclude-vcs -- *.c *.h *.po *.1 configure Makefile axelrc.example gui API CHANGES COPYING CREDITS README && \
	gzip --best < "axel-$${version}.tar" > "axel-$${version}.tar.gz" && \
	bzip2 --best < "axel-$${version}.tar" > "axel-$${version}.tar.bz2"


### I18N FILES

# The following target is generating changes in original source code when
# building. It will be temporally disabled. I will fix/change/optimize it
# in future.
#
#%.po: $(wildcard *.c *.h)
#	-@mv $@ $@.bak
#	xgettext -k_ -o$@ *.[ch]
#	@if [ -e $@.bak ]; then \
#		echo -n Merging files...; \
#		msgmerge -vo $@.combo $@.bak $@; \
#		rm -f $@ $@.bak; \
#		mv $@.combo $@; \
#	fi

.po.mo: $@.po
	msgfmt -vo $@ $*.po

i18n-mofiles: $(MOFILES)

install-i18n:
	@echo Installing locale files...
	@for i in $(MOFILES); do \
		mkdir -p $(DESTDIR)$(LOCALE)/`echo $$i | cut -d. -f1`/LC_MESSAGES/; \
		cp $$i $(DESTDIR)$(LOCALE)/`echo $$i | cut -d. -f1`/LC_MESSAGES/axel.mo; \
	done

uninstall-i18n:
	cd $(LOCALE); find . -name axel.mo -exec 'rm' '{}' ';'

=== debian/changelog ===
axel (2.5-2) unstable; urgency=medium

  * Upload to unstable.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 06 Nov 2015 07:32:32 -0200

axel (2.5-1) experimental; urgency=medium

  * New upstream release.
  * New upstream homepage.
  * Removed all patches. The upstream fixed the source code.
  * debian/clean: useless now. Removed.
  * debian/control: fixed a typo in long description.
  * debian/copyright: updated all information about the upstream.
  * debian/docs: added some files.
  * debian/examples: removed because the axelrc.example is already
      installed in /etc.
  * debian/README.Debian: removed. The upstream fixed the source code.
  * debian/rules: updated the override_dh_auto_configure target.
  * debian/source/options: removed. The upstream fixed the source code.
  * debian/watch: updated.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 01 Nov 2015 21:20:13 -0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
 Standards-Version: 3.9.6
 Build-Depends: debhelper (>= 9), gettext
-Homepage: http://axel.alioth.debian.org
+Homepage: https://github.com/eribertomota/axel
 Vcs-Git: git://anonscm.debian.org/collab-maint/axel.git
 Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/axel.git
 
@@ -17,7 +17,7 @@
  programs. It can also use multiple mirrors for one download.
  .
  Using Axel, you will get files faster from Internet. So, Axel can
- speed up a download up to 60% (approximately, accoding to some tests).
+ speed up a download up to 60% (approximately, according to some tests).
  .
  Axel tries to be as light as possible, so it might be useful as a
  wget clone (and other console based programs) on byte-critical systems.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

# This ./configure creates Makefile.settings
override_dh_auto_configure:
	./configure --i18n=1 --debug=0 --strip=0

=== debian/watch ===
version=3
https://github.com/eribertomota/axel/releases .*/archive/v?(\d\S+)\.tar\.(?:bz2|gz|xz)

## axel 2.7

=== debian/changelog ===
axel (2.7-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 08 May 2016 14:28:43 -0300

axel (2.7-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: bumped Standards-Version to 3.9.8.
  * debian/copyright: added rights for Mridul Malpotra.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 02 May 2016 21:43:54 -0300

axel (2.6-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable.
  * debian/copyright:
      - Added an additional po/* block to make easier the copyright
        verification.
      - Added new upstreams.
      - Fixed the years range for me in first block.
      - Updated some copyright years.
  * debian/docs:
      - Added CONTRIBUTING.md.
      - Removed README.to-contribute.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 20 Mar 2016 21:14:38 -0300

axel (2.5+git20160320.625aa0c-1) experimental; urgency=medium

  * New upstream release.
  * Using dh-autoreconf now.
  * debian/control:
      - Bumped Standards-Version to 3.9.7.
      - Changed from cgit to git in Vcs-Browser field.
      - Updated the Vcs-* fields to use https instead of http and git.
  * debian/copyright: updated the upstream and packaging copyright years.
  * debian/docs:
      - Added the AUTHORS file.
      - Removed README file, no longer existent in upstream source code.
      - Using the new path to search API and ROADMAP.
  * debian/examples: added to install the axelrc.example file. (Closes: #818713)
  * debian/watch: bumped to version 4.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 20 Mar 2016 03:54:53 -0300

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: web
 Priority: optional
 Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
-Standards-Version: 3.9.6
-Build-Depends: debhelper (>= 9), gettext
+Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 9), dh-autoreconf, gettext
 Homepage: https://github.com/eribertomota/axel
-Vcs-Git: git://anonscm.debian.org/collab-maint/axel.git
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/axel.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/axel.git
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/axel.git
 
 Package: axel
 Architecture: any

## axel 2.11

=== debian/changelog ===
axel (2.11-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 06 Jun 2016 10:21:56 -0300

axel (2.11-1) unstable; urgency=medium

  * New upstream release.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 05 Jun 2016 11:20:23 -0300

axel (2.10-1) unstable; urgency=medium

  * New upstream release.
      - Now, Axel supports SSL/TLS. (LP: #253906)
      - The upstream improved the manpage. (Closes: #621728)
  * debian/control:
      - Added libssl-dev to Build-Depends field.
      - Improved the long description.
  * debian/copyright:
      - New licensing for upstream source code and packaging. Now, Axel uses
        GPL-2+ with OpenSSL exception. (Closes: #823424)
      - Updated all information and added some rights.
  * debian/docs: added the NEWS file.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 04 Jun 2016 20:39:41 -0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
 Standards-Version: 3.9.8
-Build-Depends: debhelper (>= 9), dh-autoreconf, gettext
+Build-Depends: debhelper (>= 9), dh-autoreconf, gettext, libssl-dev
 Homepage: https://github.com/eribertomota/axel
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/axel.git
 Vcs-Browser: https://anonscm.debian.org/git/collab-maint/axel.git
@@ -19,5 +19,7 @@
  Using Axel, you will get files faster from Internet. So, Axel can
  speed up a download up to 60% (approximately, according to some tests).
  .
+ Axel supports HTTP, HTTPS, FTP and FTPS protocols.
+ .
  Axel tries to be as light as possible, so it might be useful as a
  wget clone (and other console based programs) on byte-critical systems.

=== debian/watch ===
version=4
https://github.com/eribertomota/axel/releases .*/archive/v?(\d\S+)\.tar\.(?:bz2|gz|xz)

## axel 2.12

=== debian/changelog ===
axel (2.12-1) unstable; urgency=medium

  * New upstream release.
  * Ack for NMU. Thanks to Raphaël Hertzog <hertzog@debian.org>.
    (Closes: #829452)
  * Bumped DH level to 10.
  * debian/copyright: added the right for a new upstream.
  * debian/patches/Fix-a-build-failure-when-using-OpenSSL-1.1.0.patch: dropped.
    The upstream already fixed the source code.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 25 Dec 2016 19:48:14 -0200

axel (2.11-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Add a patch to build with OpenSSL 1.1. Closes: #829452

 -- Raphaël Hertzog <hertzog@debian.org>  Tue, 22 Nov 2016 16:44:29 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
 Standards-Version: 3.9.8
-Build-Depends: debhelper (>= 9), dh-autoreconf, gettext, libssl-dev
+Build-Depends: debhelper (>= 10), dh-autoreconf, gettext, libssl-dev
 Homepage: https://github.com/eribertomota/axel
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/axel.git
 Vcs-Browser: https://anonscm.debian.org/git/collab-maint/axel.git

## axel 2.13.1

=== debian/changelog ===
axel (2.13.1-1) unstable; urgency=medium

  * New upstream release. (Closes: #645234)
  * debian/control:
      - Bumped Standards-Version to 4.0.0.
      - Removed unneeded build dependency dh-autoreconf.
  * debian/copyright:
      - Added some new authors.
      - Updated the upstream and packaging copyright years.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 03 Aug 2017 10:22:39 -0300

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: web
 Priority: optional
 Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
-Standards-Version: 3.9.8
-Build-Depends: debhelper (>= 10), dh-autoreconf, gettext, libssl-dev
+Standards-Version: 4.0.0
+Build-Depends: debhelper (>= 10), gettext, libssl-dev
 Homepage: https://github.com/eribertomota/axel
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/axel.git
 Vcs-Browser: https://anonscm.debian.org/git/collab-maint/axel.git

## axel 2.14.1

=== debian/changelog ===
axel (2.14.1-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 11 Oct 2017 10:29:37 -0300

axel (2.14.1-1) unstable; urgency=medium

  * New upstream release.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 16 Sep 2017 22:19:49 -0300

axel (2.14-1) unstable; urgency=medium

  * New upstream release. (Closes: #449513, LP: #922963)
  * New upstream homepage. (Closes: #874710)
  * debian/copyright: updated information about upstream authors.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 10 Sep 2017 15:45:07 -0300

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
 Standards-Version: 4.0.0
 Build-Depends: debhelper (>= 10), gettext, libssl-dev
-Homepage: https://github.com/eribertomota/axel
+Homepage: https://github.com/axel-download-accelerator/axel
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/axel.git
 Vcs-Browser: https://anonscm.debian.org/git/collab-maint/axel.git

## axel 2.15

=== debian/changelog ===
axel (2.15-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 25 Nov 2017 14:54:58 -0200

axel (2.15-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: bumped Standards-Version to 4.1.1.
  * debian/copyright:
      - Removed a reference to man/generate-man.sh because
        this file no longer exists.
      - Updated information about upstream authors.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 11 Oct 2017 13:14:40 -0300

## axel 2.16

=== debian/changelog ===
axel (2.16-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 03 Dec 2017 19:05:12 -0200

axel (2.16-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright: added rights for Ismael Luceno in po/* block.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 25 Nov 2017 14:03:42 -0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: web
 Priority: optional
 Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
-Standards-Version: 4.0.0
+Standards-Version: 4.1.1
 Build-Depends: debhelper (>= 10), gettext, libssl-dev
 Homepage: https://github.com/axel-download-accelerator/axel
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/axel.git

## axel 2.16.1

=== man/Makefile ===
P_DESC = "light command line download accelerator"

.SUFFIXES: .txt .1
.txt.1:
	read P_VERSION P_DATE _ < ../VERSION && \
	tmp=$$(mktemp tmpXXXXXX) && \
	> "$$tmp" \
	txt2man -d "$$(date -d"$$P_DATE" '+%B %_d, %Y')" \
		-t "$(<:.txt=)" -r "$(<:.txt=)-$$P_VERSION" -s 1 \
		-v $(P_DESC) $< && \
	mv "$$tmp" $@ || { rm -f "$$tmp"; exit 1; }

=== debian/changelog ===
axel (2.16.1-2) unstable; urgency=medium

  * Migrated DH level to 11.
  * debian/control:
      - Bumped Standards-Version to 4.2.0.
      - Changed Vcs-* URLs to salsa.debian.org.
  * debian/tests/control: added to perform a test.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 21 Aug 2018 21:32:35 -0300

axel (2.16.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: added pkg-config as build dependency.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 05 Dec 2017 17:01:49 -0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: web
 Priority: optional
 Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
-Standards-Version: 4.1.1
-Build-Depends: debhelper (>= 10), gettext, libssl-dev
+Standards-Version: 4.2.0
+Build-Depends: debhelper (>= 11), gettext, libssl-dev, pkg-config
 Homepage: https://github.com/axel-download-accelerator/axel
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/axel.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/axel.git
+Vcs-Browser: https://salsa.debian.org/debian/axel
+Vcs-Git: https://salsa.debian.org/debian/axel.git
 
 Package: axel
 Architecture: any

=== debian/tests/control ===
Test-Command: axel --version
Depends: @

## axel 2.16.1.1

=== debian/changelog ===
axel (2.16.1.1-1+security) unstable; urgency=medium

  * update

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 24 Jun 2021 16:01:26 +0800

axel (2.16.1-4) unstable; urgency=medium

  * debian/tests/control:
      - Added exit 77 on error and restriction skippable for all calls against
        people.debian.org. (Closes: #916476)
      - Added -k for test 2. (Closes: #916476)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 15 Dec 2018 13:22:52 -0200

axel (2.16.1-3) unstable; urgency=medium

  * debian/control: bumped Standards-Version to 4.2.1.
  * debian/tests/control:
      - Added new tests.
      - Removed unneeded Depends field.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 12 Dec 2018 22:48:52 -0200

=== debian/tests/control ===
Test-Command: axel --version

Test-Command: axel -k http://people.debian.org/~eriberto/tests-axel/test.img || exit 77
Restrictions: skippable

Test-Command: axel -4 -k -s 1000000 -o $AUTOPKGTEST_TMP/test-new.img -U axel-test http://people.debian.org/~eriberto/tests-axel/test.img || exit 77
Restrictions: skippable

Test-Command: axel -4 -k -s 1000000 -o $AUTOPKGTEST_TMP/test-new.img -U axel-test https://people.debian.org/~eriberto/tests-axel/test.img || exit 77
Restrictions: skippable

Test-Command: axel -6 -k -s 1000000 -o $AUTOPKGTEST_TMP/test-new.img -U axel-test http://people.debian.org/~eriberto/tests-axel/test.img || exit 77
Restrictions: skippable

Test-Command: axel -6 -k -s 1000000 -o $AUTOPKGTEST_TMP/test-new.img -U axel-test https://people.debian.org/~eriberto/tests-axel/test.img || exit 77
Restrictions: skippable

=== debian/watch ===
version=4
https://github.com/axel-download-accelerator/axel/releases .*/archive/v?(\d\S+)\.tar\.(?:bz2|gz|xz)

## axel 2.17.5

=== debian/changelog ===
axel (2.17.5-1ubuntu1) eoan; urgency=medium

  * Comment out skippable tests, despite being skippable proxy prevents
    downloads and hangs tests beds in the autopkgtest environment. To be
    investigated, if we need some better proxy settings. Run the tests
    locally, and they all pass.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 29 Aug 2019 17:02:19 +0100

axel (2.17.5-1) unstable; urgency=medium

  * New upstream version 2.17.5.
  * debian/clean: created to remove some files forgotten by build system.
  * debian/control:
      - Bumped Standards-Version to 4.4.0.
      - Added txt2man to Build-Depends field.
  * debian/copyright:
      - Added rights for Todd C. Miller, using ISC license.
      - Removed BSD-3-Clause license and a reference to file autogen.sh, no
        longer used by the upstream.
  * debian/patches/10_update-translations.patch: removed because the upstream
    fixed the source code. Thanks.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 26 Jul 2019 21:13:06 -0300

axel (2.17.3-2) unstable; urgency=medium

  * Upload to unstable.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 07 Jul 2019 11:27:10 -0300

axel (2.17.3-1) experimental; urgency=medium

  * New upstream version 2.17.3.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 12.
  * debian/control:
      - Added a new build dependency (autoconf-archive).
      - Bumped Standards-Version to 4.3.0.
  * debian/copyright: updated upstream and packaging copyright years.
  * debian/patches/10_update-translations.patch: added to refresh the
    translations.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 11 Jun 2019 13:31:21 -0300

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,15 @@
 Source: axel
 Section: web
 Priority: optional
-Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
-Standards-Version: 4.2.0
-Build-Depends: debhelper (>= 11), gettext, libssl-dev, pkg-config
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
+Standards-Version: 4.4.0
+Build-Depends: debhelper-compat (= 12),
+                autoconf-archive,
+                gettext,
+                libssl-dev,
+                pkg-config,
+                txt2man
 Homepage: https://github.com/axel-download-accelerator/axel
 Vcs-Browser: https://salsa.debian.org/debian/axel
 Vcs-Git: https://salsa.debian.org/debian/axel.git

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

=== debian/tests/control ===
Test-Command: axel --version

#Test-Command: axel -k http://people.debian.org/~eriberto/tests-axel/test.img || exit 77
#Restrictions: skippable

#Test-Command: axel -4 -k -s 1000000 -o $AUTOPKGTEST_TMP/test-new.img -U axel-test http://people.debian.org/~eriberto/tests-axel/test.img || exit 77
#Restrictions: skippable

#Test-Command: axel -4 -k -s 1000000 -o $AUTOPKGTEST_TMP/test-new.img -U axel-test https://people.debian.org/~eriberto/tests-axel/test.img || exit 77
#Restrictions: skippable

#Test-Command: axel -6 -k -s 1000000 -o $AUTOPKGTEST_TMP/test-new.img -U axel-test http://people.debian.org/~eriberto/tests-axel/test.img || exit 77
#Restrictions: skippable

#Test-Command: axel -6 -k -s 1000000 -o $AUTOPKGTEST_TMP/test-new.img -U axel-test https://people.debian.org/~eriberto/tests-axel/test.img || exit 77
#Restrictions: skippable

## axel 2.17.7

=== debian/changelog ===
axel (2.17.7-1) unstable; urgency=medium

  * New upstream version 2.17.7.
  * debian/control: bumped Standards-Version to 4.5.0.
  * debian/copyright: updated packaging copyright years.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 26 Jan 2020 22:45:54 -0300

axel (2.17.6-2) unstable; urgency=medium

  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Bumped Standards-Version to 4.4.1.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 20 Oct 2019 23:01:35 -0300

axel (2.17.6-1) unstable; urgency=medium

  * New upstream version 2.17.6.
  * debian/clean: no longer needed. Removed.
  * debian/control: removed no longer needed build dependency txt2man.
  * debian/docs: removed no longer existent files (doc/API and doc/ROADMAP).
  * debian/watch: using download path instead of archive in GitHub.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 29 Aug 2019 21:44:19 -0300

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: axel
 Section: web
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
-Standards-Version: 4.4.0
+Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
+Standards-Version: 4.5.0
 Build-Depends: debhelper-compat (= 12),
                 autoconf-archive,
                 gettext,
                 libssl-dev,
-                pkg-config,
-                txt2man
+                pkg-config
+Rules-Requires-Root: no
 Homepage: https://github.com/axel-download-accelerator/axel
 Vcs-Browser: https://salsa.debian.org/debian/axel
 Vcs-Git: https://salsa.debian.org/debian/axel.git
